1curl -X POST 'https://api.budpay.com/api/s2s/pay-with-palmpay' \2 -H 'Content-Type: application/json' \3 -H 'Accept: application/json' \4 -H 'Authorization: Bearer YOUR_SECRET_KEY' \5 -d '{6 "email": "user@example.com",7 "amount": "5000",8 "currency": "NGN",9 "phoneNumber": "08012345678",10 "redirectUrl": "https://yourapp.com/payment/callback",11 "reference": "ORD-1234",12 "first_name": "Ada",13 "last_name": "Okafor"14}'{ "message": "Kindly complete the payment on your phone", "status": true, "data": "https://checkout.palmpay.com/h5-checkout/?countryCode=NG&tntCode=PALMPAY&payToken=A1B2C3D4E5F6A7B8C9D0E1F2A3B4C5D6&orderNo=24000000000000000001&signKey=MOCK_SIGN_KEY&signSession=24000000000000000001&appId=L000000000000000000000&phoneNo=08012345678&productType=pay_wallet&businessProductType=pay_wallet&businessMode=three_mode&identityType=NEW&callable=%7B%22android%22%3A%22true%22%2C%22ios%22%3A%22true%22%7D"}